Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981051 - v2 Cartridge Guide should document how Name: influences environment variables created by the system
Summary: v2 Cartridge Guide should document how Name: influences environment variables...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 21:23 UTC by Hiro Asari
Modified: 2015-05-14 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-13 20:45:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Hiro Asari 2013-07-03 21:23:48 UTC
Description of problem:
In https://bugzilla.redhat.com/show_bug.cgi?id=978018 it was discovered that changing "Name:" in manifest.yml alters environment variables in unexpected ways. (Currently, only "Cartridge-Short-Name:" is mentioned.)

This should be clarified.

Comment 1 Jhon Honce 2013-08-08 23:39:14 UTC
What are the side-effects?  The Name element should not be used in creating environment variables.

Comment 2 Hiro Asari 2013-08-13 20:45:05 UTC
The issue appears to have been something else in the manifest.yml. I'm closing this one.


Note You need to log in before you can comment on or make changes to this bug.